<HTML>
<HEAD>
<TITLE>다운로드</TITLE>
<script  language="javascript" src="./js/viewData.js" type="text/JavaScript"></script>
<script language="javascript">
var loc = dialogArguments;
var _cookie = new Array();

function setCookie(k, v, expire, path)
{
	var tmp, pattern, todaydate, unixtime, expiretext, e;
	path = (path == null || path == "") ? "/" : path;
	todaydate = new Date();
	unixtime = todaydate.getTime();
	expiretext = "";

	if (v == null) {
		expire = 0;
	}
	if (expire == null || expire == 0) {
		expiretext = "";
	} else {
		todaydate.setTime(unixtime + (expire * 1000));
		expiretext = " expires=" + todaydate.toUTCString() +";";
	}
	document.cookie = k + "=" + escape(v) + "; path=" + path + ";" + expiretext;

	pattern = /^(.*)\[(\d*)\]$/;

	if(pattern.test(k)) {
		if(RegExp.$2 == "") {
			try {
				_cookie[RegExp.$1].push(v);
			} catch(e) {
				_cookie[RegExp.$1] = new Array();
				_cookie[RegExp.$1][0] = v;
			}
		} else {
			try {
				_cookie[RegExp.$1][RegExp.$2 * 1] = v;
			} catch(e) {
				_cookie[RegExp.$1] = new Array();
				_cookie[RegExp.$1][RegExp.$2 * 1] = v;
			}
		}
	} else {
		_cookie[k] = v;
	}
}

function parseCookie()
{
	var tmp, pattern1, pattern2, i, keyval = new Array(), e;

	if(document.cookie == "") {
		return true;
	}

	tmp = document.cookie.replace(/;[ \t]+/g, ";");
	
	tmp = tmp.split(";");

	pattern1 = /^([^=]+)=?(.*)$/;
	pattern2 = /^(.*)\[(\d*)\]$/;

	for(i = 0; i < tmp.length; i ++) {
		if(!pattern1.test(tmp[i])) {
			window.alert("error");
		}
		keyval[0] = RegExp.$1;
		keyval[1] = RegExp.$2;
		if(pattern2.test(keyval[0])) {
			if(RegExp.$2 == "") {
				try {
					_cookie[RegExp.$1].push(keyval[1]);
				} catch(e) {
					_cookie[RegExp.$1] = new Array();
					_cookie[RegExp.$1][0] = keyval[1];
				}
			} else {
				try {
					_cookie[RegExp.$1][RegExp.$2] = keyval[1];
				} catch(e) {
					_cookie[RegExp.$1] = new Array();
					_cookie[RegExp.$1][RegExp.$2] = keyval[1];
				}
			}
		} else {
			_cookie[keyval[0]] = keyval[1];
		}
	}

	return true;
}

parseCookie();

var _get = new Array();

function parseGet(locs)
{
	
	var tmp, pattern1, pattern2, i, keyval = new Array(), e;

	pattern1 = /\?/;
	//if(!pattern1.test(location.href)) {
	if(!pattern1.test(locs)) {
		return true;
	}

	//tmp = location.href.replace(/^.*\?/, "");//dialogArguments
	tmp = locs.replace(/^.*\?/, "");
	if(tmp == "") {
		return true;
	}

	tmp = tmp.split("&");

	pattern1 = /^([^=]+)=?(.*)$/;
	pattern2 = /^(.*)\[(\d*)\]$/;
	for(i = 0; i < tmp.length; i ++) {
		if(!pattern1.test(tmp[i])) {
			window.alert("error");
		}
		keyval[0] = RegExp.$1;
		keyval[1] = RegExp.$2;
		if(pattern2.test(keyval[0])) {
			if(RegExp.$2 == "") {
				try {
					_get[RegExp.$1].push(keyval[1]);
				} catch(e) {
					_get[RegExp.$1] = new Array();
					_get[RegExp.$1][0] = keyval[1];
				}
			} else {
				try {
					_get[RegExp.$1][RegExp.$2] = keyval[1];
				} catch(e) {
					_get[RegExp.$1] = new Array();
					_get[RegExp.$1][RegExp.$2] = keyval[1];
				}
			}
		} else {
			_get[keyval[0]] = keyval[1];
		}
	}

	return true;
}

parseGet(loc);

var cate = _get["cateBoardName"][0];
var uid = _get["uid"][0];
var fsize = _get["fsize"][0];
var org_file = _get["org_file"][0];

var obj = eval("viewVal["+cate+"]");
var len = obj.length;
for(i=0; i <len; i++) {
	if(obj[i][0] == uid) {
		var file_path =  obj[i][6];
		break;
	}
}

var full_path = location.href;
var pts = full_path.indexOf("download_2.html");
var re_path = full_path.substring(0,pts);

</script>
</HEAD>
<BODY  leftmargin="0" topmargin="0" CELLSPACING="0" CELLPADDING="0">
<OBJECT CLASSID="clsid:5220cb21-c88d-11cf-b347-00aa00a28331">
<PARAM NAME="LPKPath" VALUE="FileDown.lpk">
</OBJECT>
<!-- CODEBASE 에 CAB 파일 저장위치 지정 -->
<OBJECT ID="FileDown"
CLASSID="CLSID:50A683E8-0397-41AB-A08F-EBC2C3D7FC4C"
CODEBASE="FileDown.CAB#version=1,0,0,4" width="350" height="420">
</OBJECT>

<!-- 다운로드 완료시 호출되는 자바스크립트 -->
<script language="javascript" for="FileDown" event="DownloadFinish(flag)">
<!-- flag 결과값 (1,0) 1일 때 다운로드 창을 닫는다 -->
  if (flag) self.close();
</script>

<!-- 
다운로드 파일 리스트
첫번째 인자는 저장될 파일명
두번째 인자는 파일 사이즈
세번째 인자는 URL 경로
 -->
<script language="javascript">
FileDown.AddItems(org_file, fsize, re_path+file_path)
</script>
</BODY>
</HTML>